import { IChoice, IDynamicInputComponent } from '@boldpenguin/sdk-types';
import { EventEmitter } from '../../stencil-public-runtime';
export declare class BpSdkDynamicInput implements IDynamicInputComponent {
    /**
     * Answer id
     */
    answerId: string;
    /**
     * Answer pool id
     */
    answerPoolId: string;
    /**
     * Application form id
     */
    applicationFormId: string;
    /**
     * Choice Id, should only be used on autocomplete, business-classification-selector, select, and radio inputs
     */
    choiceId: string | undefined;
    /**
     * Choice ids, should only be used on select-input or product-list
     */
    choiceIds: string[] | undefined;
    /**
     * Choices, used in any component that uses choiceId or ChoiceIds
     */
    choices: IChoice[] | undefined;
    /**
     * Question code
     */
    code: string;
    /**
     * Display type
     */
    displayType: 'public' | 'private' | 'internal';
    /**
     * Error messages
     */
    errors: string[] | undefined;
    /**
     * Error text
     */
    errorText: string | undefined;
    /**
     * Field type
     */
    fieldType: string;
    /**
     * Help text
     */
    helpText: string;
    /**
     * Input component type
     */
    inputComponentType: string;
    /**
     * Is autocomplete
     */
    isAutocomplete: boolean;
    /**
     * Is completed
     */
    isCompleted: boolean;
    /**
     * Is Coverage Type
     */
    isCoverageType: boolean;
    /**
     * Is hidden
     */
    isHidden: boolean;
    /**
     * Is labelled field
     */
    isLabelledField: boolean;
    /**
     * Is multiple
     */
    isMultiple: boolean;
    /**
     * When true, the field will be readonly. It will display only the label and value as plain text.
     */
    isReadOnly: boolean;
    /**
     * Is required
     */
    isRequired: boolean;
    /**
     * Is sensitive
     */
    isSensitive: boolean;
    /**
     * Is trackable
     */
    isTrackable: boolean;
    /**
     * Label to use
     */
    label: string;
    /**
     * Label id
     */
    labelId: string;
    /**
     *  Labels that describe group
     */
    labelledBy: string;
    /**
     * Max date range
     */
    maxDate: string | Date;
    /**
     * Maximum length or value, depending on field type
     */
    maxValue: number;
    /**
     * Minimum date range
     */
    minDate: string | Date;
    /**
     * Minimum value or length depending on field type
     */
    minValue: number;
    /**
     * Question order
     */
    order: number;
    /**
     * Regex pattern answer is expected to conform to
     */
    pattern: string;
    /**
     * Placeholder text
     */
    placeholder: string;
    /**
     * Is pristine
     */
    pristine: boolean;
    /**
     * Question Id
     */
    questionId: string;
    /**
     * Question Group Id
     */
    questionGroupId: string;
    /**
     * Question Set id
     */
    questionSetId: string;
    /**
     * Question reference type
     */
    referenceType: string;
    /**
     * Show business class selector
     */
    showBusinessClassificationSelector: boolean;
    /**
     * Disables Google Autocomplete for address groups when true
     */
    disableAddressAutocomplete: boolean;
    /**
     * Should show input
     */
    shouldShowInput: boolean;
    /**
     * Is touched
     */
    touched: boolean;
    /**
     * Question text
     */
    text: string | undefined;
    /**
     * Use select alias
     */
    useSelectAlias: boolean;
    /**
     * Question value
     */
    value: string | undefined;
    /**
     * Specifically how the question was answered (ie. "ACORD 126")
     */
    answeredBySource: string | undefined;
    id: string;
    useExternal: boolean;
    /**
     * Notification component could not be classified for a answer
     */
    componentMissing: EventEmitter<string>;
    resetState(): void;
    connectedCallback(): void;
    componentWillLoad(): void;
    render(): any[];
    renderExternal(): any;
    renderInternal(): any;
    renderQuestion(): any;
    renderContent(): any;
    renderTextSwitch(): any;
    renderGooglePlacesAutocomplete(): any;
    renderDriverLicense(): any;
    renderIncrement(): any;
    renderText(): any;
    renderMaskedInput(): any;
    renderDate(): any;
    renderMonthYear(): any;
    renderDropdownSwitch(): any;
    renderDropdownFallback(): any;
    renderSelect(): any;
    renderBcsSwitch(): any;
    renderAutocomplete(): any;
    renderBcs(): any;
    renderDialog(): any;
    renderCheckbox(): any;
    renderRadio(): any;
    renderCoverageSelector(): any;
    renderQuestionPoolItemContainer(): any;
    renderDeletePool(): any;
    renderVehicleAutocomplete(): any;
}
